Bug 1126903 - When burning a DVD with existing data, K3b ejects needlessly
Summary: When burning a DVD with existing data, K3b ejects needlessly
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: k3b
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 14:42 UTC by Peter H. Jones
Modified: 2016-12-01 00:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:56:48 UTC


Attachments (Terms of Use)
debugging output from k3b (1.28 KB, text/plain)
2014-08-06 18:10 UTC, Peter H. Jones
no flags Details

Description Peter H. Jones 2014-08-05 14:42:23 UTC
Description of problem:
When burning a DVD with existing data, K3b ejects the disk after reformatting. If a manually-loaded burner is used, the DVD has to be manually reinserted.

Version-Release number of selected component (if applicable):
k3b-2.0.2-16.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Burn a DVD with existing data

Actual results:
Have to reinsert disk after reformatting and unwanted eject.

Expected results:
No intervention needed after user gives permission to overwrite the DVD.

Additional info:
Works OK with autoloading burners.

Comment 1 Rex Dieter 2014-08-05 15:05:52 UTC
iirc, historically, the eject was needed to force the kernel to re-read the disks' partition table.

Comment 2 Peter H. Jones 2014-08-06 18:10:52 UTC
Created attachment 924553 [details]
debugging output from k3b

In FC20, after having to reinsert the DVD twice, I got a write failure. In previous ocurrences of the this bug, I had to do a full format before the disk could be re-written. I found it faster to use xfburn-0.4.3-12.fc20.x86_64 instead.

Comment 3 Rex Dieter 2014-08-06 18:50:42 UTC
The error comes from growisofs 

growisofs
-----------------------
Executing 'builtin_dd if=/dev/fd/0 of=/dev/sr0 obs=32k seek=0'
/dev/sr0: "Current Write Speed" is 3.1x1352KBps.
:-[ WRITE@LBA=0h failed with SK=5h/ILLEGAL MODE FOR THIS TRACK]: Input/output error
:-( attempt to re-run with -dvd-compat -dvd-compat to engage DAO or apply full blanking procedure
:-( write failed: Input/output error

Comment 4 Fedora End Of Life 2015-01-09 21:28:37 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-05-29 12:34:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 21:56:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.